import {BasicColumn} from "@/components/Table";

export const detailQueryColumn: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '参数code',
    dataIndex: 'code',
    width: 150,
  },
  {
    title: '参数类型',
    dataIndex: 'type',
    width: 150,
  },
  {
    title: '注释',
    dataIndex: 'remark',
    width: 150,
  },
  {
    title: '是否必填',
    dataIndex: 'required',
    width: 150,
  },
  {
    title: '默认值',
    dataIndex: 'default',
    width: 150,
  },
  {
    title: '示例值',
    dataIndex: 'value',
    width: 150,
  },
];
export const detailPageColumn: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '参数code',
    dataIndex: 'code',
    width: 150,
  },
  {
    title: '参数类型',
    dataIndex: 'type',
    width: 150,
  },
  {
    title: '是否必填',
    dataIndex: 'required',
    width: 150,
  },
  {
    title: '默认值',
    dataIndex: 'default',
    width: 150,
  },
];
export const detailReturnColumn: BasicColumn[] = [
  {
    title: '参数code',
    dataIndex: 'code',
    width: 150,
  },
  {
    title: '参数名称',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '注释',
    dataIndex: 'remark',
    width: 150,
  },
];
